/*
Copyright (c) 2005-2009 TeamF1, Inc.
All rights reserved.
*/
/* add_ld_in_service.htm Start */
function fwAddLdInServicesValidate()
    {
    
    /* L10N Error Message Collection Start */
    var errMsgL10n1 = 'Invalid starting IP address for LAN users.';
    var errMsgL10n2 = 'for octet';
    var errMsgL10n3 = 'Invalid ending IP address for LAN users.';
    var errMsgL10n4 = 'LAN Users.';
    var errMsgL10n5 = 'Invalid starting IP address for DMZ users.';
    var errMsgL10n6 = 'Invalid ending IP address for DMZ users.';
    var errMsgL10n7 = 'DMZ Users';
    var errMsgObjL10n = document.getElementById ('hd.invalStrtIpAddrLUsrLanDmz');
    if (errMsgObjL10n) errMsgL10n1 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.foroctateLanDmz');
    if (errMsgObjL10n) errMsgL10n2 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.invalEndIpAddrLUsrLanDmz');
    if (errMsgObjL10n) errMsgL10n3 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.lanUsrLanDmz');
    if (errMsgObjL10n) errMsgL10n4 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.hd.invalStrtIpAddrDUsrLanDmz');
    if (errMsgObjL10n) errMsgL10n5= errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.invalEndIpAddrDUsrLanDmz');
    if (errMsgObjL10n) errMsgL10n6= errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.dmzUsrLanDmz');
    if (errMsgObjL10n) errMsgL10n7= errMsgObjL10n.value;
    /* L10N Error Message Collection End */
    
	if (ipv4AddrOctetsValidate ('addLDInLanUserStart', 'IP', false, true,
            errMsgL10n1, errMsgL10n2+" ", true) == false)
	    return false;
	if (ipv4AddrOctetsValidate ('addLDInLanUserFinish', 'IP', false, true,
             errMsgL10n3, errMsgL10n2+" ", true) == false)
	    return false;
	if (ipRangeValidate ('addLDInLanUserStart','addLDInLanUserFinish', errMsgL10n4) == false)
		return false;
	if (ipv4AddrOctetsValidate ('addLDInWanUserStart', 'IP', false, true,
            errMsgL10n5, errMsgL10n2+" ", true) == false)
	    return false;
	if (ipv4AddrOctetsValidate ('addLDInWanUserFinish', 'IP', false, true,
             errMsgL10n6, errMsgL10n2+" ", true) == false)
	    return false;
	if (ipRangeValidate ('addLDInWanUserStart','addLDInWanUserFinish', errMsgL10n7) == false)
		return false;
    return true;
    }
    
function fwActionCheckLD ()
	{
	var selectedValue = comboSelectedValueGet  ('selFwAction');
	if (!selectedValue) return;
	switch (parseInt (selectedValue, 10))
		{
		case 4:
		case 3:
			fieldStateChangeWr ('','','selSchedule','');
			break;
		case 2:
			fieldStateChangeWr ('selSchedule','','','');
			break;
		default:
			fieldStateChangeWr ('selSchedule','','','');
			break;
		}
	}
function dropFieldSelectLanLD (parent)
    {
    if (!parent)
        return;
   	var optVal = parent.options[parent.selectedIndex].value;
   	
   	switch (optVal)
   		{
   		case '1':
   			fieldStateChangeWr ('', 'addLDInLanUserFinish', '', 'addLDInLanUserStart');
   			break;
   		case '2':
   			fieldStateChangeWr ('', '', '', 'addLDInLanUserStart addLDInLanUserFinish');
   			break;
   		default:
   			fieldStateChangeWr ('', 'addLDInLanUserStart addLDInLanUserFinish', '', '');
   			break;
   		}
	}
function dropFieldSelectWanLD (parent)
    {
    if (!parent)
        return;
   	var optVal = parent.options[parent.selectedIndex].value;
   	
   	switch (optVal)
   		{
   		case '1':
   			fieldStateChangeWr ('', 'addLDInWanUserFinish', '', 'addLDInWanUserStart');
   			break;
   		case '2':
   			fieldStateChangeWr ('', '', '', 'addLDInWanUserStart addLDInWanUserFinish');
   			break;
   		default:
   			fieldStateChangeWr ('', 'addLDInWanUserStart addLDInWanUserFinish', '', '');
   			break;
   		}
    }
function InitialSettingsLD ()
	{
	fwActionCheckLD ();
	var fldObj = document.getElementById('addLDInLanUser');
	if (!(fldObj.disable))
		dropFieldSelectLanLD (fldObj);
	var fldObj = document.getElementById('addLDInDmzUser');
	if (!(fldObj.disable))
		dropFieldSelectWanLD (fldObj);
	}
	
/* add_ld_in_service.htm End */

/* add_ld_out_service.htm Start */
function fwAddLdOutServicesValidate()
    {
    /* L10N Error Message Collection Start */
    var errMsgL10n1 = 'Invalid starting IP address for LAN users.';
    var errMsgL10n2 = 'for octet';
    var errMsgL10n3 = 'Invalid ending IP address for LAN users.';
    var errMsgL10n4 = 'LAN Users.';
    var errMsgL10n5 = 'Invalid starting IP address for DMZ users.';
    var errMsgL10n6 = 'Invalid ending IP address for DMZ users.';
    var errMsgL10n7 = 'DMZ Users';
    var errMsgObjL10n = document.getElementById ('hd.invalStrtIpAddrLUsrLanDmz');
    if (errMsgObjL10n) errMsgL10n1 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.foroctateLanDmz');
    if (errMsgObjL10n) errMsgL10n2 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.invalEndIpAddrLUsrLanDmz');
    if (errMsgObjL10n) errMsgL10n3 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.lanUsrLanDmz');
    if (errMsgObjL10n) errMsgL10n4 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.hd.invalStrtIpAddrDUsrLanDmz');
    if (errMsgObjL10n) errMsgL10n5= errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.invalEndIpAddrDUsrLanDmz');
    if (errMsgObjL10n) errMsgL10n6= errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.dmzUsrLanDmz');
    if (errMsgObjL10n) errMsgL10n7= errMsgObjL10n.value;
    /* L10N Error Message Collection End */

    
	if (ipv4AddrOctetsValidate ('addLDOutLanUserStart', 'IP', false, true,
            errMsgL10n1,errMsgL10n2+" ", true) == false)
	    return false;
	if (ipv4AddrOctetsValidate ('addLDOutLanUserFinish', 'IP', false, true,
            errMsgL10n3, errMsgL10n2+" ", true) == false)
	    return false;
	if (ipRangeValidate ('addLDOutLanUserStart','addLDOutLanUserFinish', errMsgL10n4) == false)
		return false;
	if (ipv4AddrOctetsValidate ('addLDOutWanUserStart', 'IP', false, true,
             errMsgL10n5,errMsgL10n2+" ", true) == false)
	    return false;
	if (ipv4AddrOctetsValidate ('addLDOutWanUserFinish', 'IP', false, true,
             errMsgL10n6, errMsgL10n2+" ", true) == false)
	    return false;
	if (ipRangeValidate ('addLDOutWanUserStart','addLDOutWanUserFinish', errMsgL10n7) == false)
		return false;
    return true;
    }
function fwActionCheck ()
	{
	var selectedValue = comboSelectedValueGet  ('selFwAction');
	if (!selectedValue) return;
	switch (parseInt (selectedValue, 10))
		{
		case 4:
		case 3:
			fieldStateChangeWr ('','','selSchedule','');
			break;
		case 2:
			fieldStateChangeWr ('selSchedule','','','');
			break;
		default:
			fieldStateChangeWr ('selSchedule','','','');
			break;
		}
	}
function dropFieldSelectLan (parent)
    {
    if (!parent)
        return;
   	var optVal = parent.options[parent.selectedIndex].value;
   	
   	switch (optVal)
   		{
   		case '1':
   			fieldStateChangeWr ('', 'addLDOutLanUserFinish', '', 'addLDOutLanUserStart');
   			break;
   		case '2':
   			fieldStateChangeWr ('', '', '', 'addLDOutLanUserStart addLDOutLanUserFinish');
   			break;
   		default:
   			fieldStateChangeWr ('', 'addLDOutLanUserStart addLDOutLanUserFinish', '', '');
   			break;
   		}
	}
function dropFieldSelectWan (parent)
    {
    if (!parent)
        return;
   	var optVal = parent.options[parent.selectedIndex].value;
   	
   	switch (optVal)
   		{
   		case '1':
   			fieldStateChangeWr ('', 'addLDOutWanUserFinish', '', 'addLDOutWanUserStart');
   			break;
   		case '2':
   			fieldStateChangeWr ('', '', '', 'addLDOutWanUserStart addLDOutWanUserFinish');
   			break;
   		default:
   			fieldStateChangeWr ('', 'addLDOutWanUserStart addLDOutWanUserFinish', '', '');
   			break;
   		}
    }
    
function InitialSettings ()
	{
	fwActionCheck ();
	var fldObj = document.getElementById('addLDOutLanUser');
	if (!(fldObj.disable))
		dropFieldSelectLan (fldObj);
	var fldObj = document.getElementById('addDWOutDmzUser');
	if (!(fldObj.disable))
		dropFieldSelectWan (fldObj);
	}
/* add_ld_out_service.htm End */

/* edit_ld_in_service.htm start */

function fwEditLdInServicesValidate()
    {
     /* L10N Error Message Collection Start */
    var errMsgL10n1 = 'Invalid starting IP address for LAN users.';
    var errMsgL10n2 = 'for octet';
    var errMsgL10n3 = 'Invalid ending IP address for LAN users.';    
    var errMsgL10n5 = 'Invalid starting IP address for DMZ users.';
    var errMsgL10n6 = 'Invalid ending IP address for DMZ users.';   
    var errMsgObjL10n = document.getElementById ('hd.invalStrtIpAddrLUsrLanDmz');
    if (errMsgObjL10n) errMsgL10n1 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.foroctateLanDmz');
    if (errMsgObjL10n) errMsgL10n2 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.invalEndIpAddrLUsrLanDmz');
    if (errMsgObjL10n) errMsgL10n3 = errMsgObjL10n.value;    
    errMsgObjL10n = document.getElementById ('hd.hd.invalStrtIpAddrDUsrLanDmz');
    if (errMsgObjL10n) errMsgL10n5= errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.invalEndIpAddrDUsrLanDmz');
    if (errMsgObjL10n) errMsgL10n6= errMsgObjL10n.value;    
    /* L10N Error Message Collection End */
    
	if (ipv4AddrOctetsValidate ('editLDInLanUserStart', 'IP', false, true,
            errMsgL10n1, errMsgL10n2+" ", true) == false)
	    return false;
	if (ipv4AddrOctetsValidate ('editLDInLanUserFinish', 'IP', false, true,
             errMsgL10n3, errMsgL10n2+" ", true) == false)
	    return false;
	if (ipv4AddrOctetsValidate ('editLDInWanUserStart', 'IP', false, true,
             errMsgL10n5, errMsgL10n2+" ", true) == false)
	    return false;
	if (ipv4AddrOctetsValidate ('editLDInWanUserFinish', 'IP', false, true,
             errMsgL10n6, errMsgL10n2+" ", true) == false)
	    return false;
    return true;
    }
    
function fwActionCheckEditLD ()
	{
	var selectedValue = comboSelectedValueGet  ('selFwAction');
	if (!selectedValue) return;
	switch (parseInt (selectedValue, 10))
		{
		case 4:
		case 3:
			fieldStateChangeWr ('','','selSchedule','');
			break;
		case 2:
			fieldStateChangeWr ('selSchedule','','','');
			break;
		default:
			fieldStateChangeWr ('selSchedule','','','');
			break;
		}
	}
function dropFieldSelectLanEditLD (parent)
    {
    if (!parent)
        return;
   	var optVal = parent.options[parent.selectedIndex].value;
   	
   	switch (optVal)
   		{
   		case '1':
   			fieldStateChangeWr ('', 'editLDInLanUserFinish', '', 'editLDInLanUserStart');
   			break;
   		case '2':
   			fieldStateChangeWr ('', '', '', 'editLDInLanUserStart editLDInLanUserFinish');
   			break;
   		default:
   			fieldStateChangeWr ('', 'editLDInLanUserStart editLDInLanUserFinish', '', '');
   			break;
   		}
	}
function dropFieldSelectWanEditLD (parent)
    {
    if (!parent)
        return;
   	var optVal = parent.options[parent.selectedIndex].value;
   	
   	switch (optVal)
   		{
   		case '1':
   			fieldStateChangeWr ('', 'editLDInWanUserFinish', '', 'editLDInWanUserStart');
   			break;
   		case '2':
   			fieldStateChangeWr ('', '', '', 'editLDInWanUserStart editLDInWanUserFinish');
   			break;
   		default:
   			fieldStateChangeWr ('', 'editLDInWanUserStart editLDInWanUserFinish', '', '');
   			break;
   		}
    }
function InitialSettingsEditLD ()
	{
	optionValueSelect ('selFwService', 'hdSelSvrName');
	optionValueSelect ('editLDInLanUser', 'hdSelLanAddrType');
	fwActionCheckEditLD ();
	var fldObj = document.getElementById('editLDInLanUser');
	if (!(fldObj.disable))
		dropFieldSelectLanEditLD (fldObj);
	var fldObj = document.getElementById('editLDInDmzUser');
	if (!(fldObj.disable))
		dropFieldSelectWanEditLD (fldObj);
	}
/* edit_ld_in_service.htm End */

/* edit_ld_out_service.htm start */

function fwEditLdOutServicesValidate()
    {
     /* L10N Error Message Collection Start */
    var errMsgL10n1 = 'Invalid starting IP address for LAN users.';
    var errMsgL10n2 = 'for octet';
    var errMsgL10n3 = 'Invalid ending IP address for LAN users.';    
    var errMsgL10n5 = 'Invalid starting IP address for DMZ users.';
    var errMsgL10n6 = 'Invalid ending IP address for DMZ users.';   
    var errMsgObjL10n = document.getElementById ('hd.invalStrtIpAddrLUsrLanDmz');
    if (errMsgObjL10n) errMsgL10n1 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.foroctateLanDmz');
    if (errMsgObjL10n) errMsgL10n2 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.invalEndIpAddrLUsrLanDmz');
    if (errMsgObjL10n) errMsgL10n3 = errMsgObjL10n.value;    
    errMsgObjL10n = document.getElementById ('hd.hd.invalStrtIpAddrDUsrLanDmz');
    if (errMsgObjL10n) errMsgL10n5= errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.invalEndIpAddrDUsrLanDmz');
    if (errMsgObjL10n) errMsgL10n6= errMsgObjL10n.value;    
    /* L10N Error Message Collection End */

    
	if (ipv4AddrOctetsValidate ('editLDOutLanUserStart', 'IP', false, true,
            errMsgL10n1, errMsgL10n2+" ", true) == false)
	    return false;
	if (ipv4AddrOctetsValidate ('editLDOutLanUserFinish', 'IP', false, true,
             errMsgL10n3, errMsgL10n2+" ", true) == false)
	    return false;
	if (ipv4AddrOctetsValidate ('editLDOutWanUserStart', 'IP', false, true,
            errMsgL10n5, errMsgL10n2+" ", true) == false)
	    return false;
	if (ipv4AddrOctetsValidate ('editLDOutWanUserFinish', 'IP', false, true,
             errMsgL10n6, errMsgL10n2+" ", true) == false)
	    return false;
    return true;
    }
    
function fwActionCheckEdit ()
	{
	var selectedValue = comboSelectedValueGet  ('selFwAction');
	if (!selectedValue) return;
	switch (parseInt (selectedValue, 10))
		{
		case 4:
		case 3:
			fieldStateChangeWr ('','','selSchedule','');
			break;
		case 2:
			fieldStateChangeWr ('selSchedule','','','');
			break;
		default:
			fieldStateChangeWr ('selSchedule','','','');
			break;
		}
	}
function dropFieldSelectLanEdit (parent)
    {
    if (!parent)
        return;
   	var optVal = parent.options[parent.selectedIndex].value;
   	
   	switch (optVal)
   		{
   		case '1':
   			fieldStateChangeWr ('', 'editLDOutLanUserFinish', '', 'editLDOutLanUserStart');
   			break;
   		case '2':
   			fieldStateChangeWr ('', '', '', 'editLDOutLanUserStart editLDOutLanUserFinish');
   			break;
   		default:
   			fieldStateChangeWr ('', 'editLDOutLanUserStart editLDOutLanUserFinish', '', '');
   			break;
   		}
	}
function dropFieldSelectWanEdit (parent)
    {
    if (!parent)
        return;
   	var optVal = parent.options[parent.selectedIndex].value;
   	
   	switch (optVal)
   		{
   		case '1':
   			fieldStateChangeWr ('', 'editLDOutWanUserFinish', '', 'editLDOutWanUserStart');
   			break;
   		case '2':
   			fieldStateChangeWr ('', '', '', 'editLDOutWanUserStart editLDOutWanUserFinish');
   			break;
   		default:
   			fieldStateChangeWr ('', 'editLDOutWanUserStart editLDOutWanUserFinish', '', '');
   			break;
   		}
    }
function InitialSettingsEdit()
	{
	optionValueSelect ('selFwService', 'hdSelSvrName');
	optionValueSelect ('editLdOutLanUser', 'hdSelLanAddrType');
	fwActionCheckEdit ();
	var fldObj = document.getElementById('editLdOutLanUser');
	if (!(fldObj.disable))
		dropFieldSelectLanEdit (fldObj);
	var fldObj = document.getElementById('editLDOutDmzUser');
	if (!(fldObj.disable))
		dropFieldSelectWanEdit (fldObj);
	}
	
/* edit_ld_out_service.htm End */
	