/*
Copyright (c) 2005-2009 TeamF1, Inc.
All rights reserved.
*/
/* add_bandwidth_profile.htm */
function bandwidthValidate ()
    {
     /* L10N Error Message Collection Start */
    var errMsgL10n1 = 'Please enter a valid profile name';
    var errMsgL10n2 = 'Invalid Outbound Maximum Bandwidth: Please enter a value between 100 and 100000 Kbps';
    var errMsgL10n3 = 'Invalid Outbound Maximum Bandwidth.';
    var errMsgL10n4 = 'Invalid Outbound Minimum Bandwidth: Please enter a value between 0 and';
    var errMsgL10n5 = 'Invalid Outbound Minimum Bandwidth.';
    var errMsgL10n6 = 'Invalid Inbound Maximum Bandwidth: Please enter a value between 100 and 100000 Kbps';
    var errMsgL10n7 = 'Invalid Inbound Maximum Bandwidth.';
    var errMsgL10n8 = 'Invalid Inbound Minimum Bandwidth: Please enter a value between 0 and';
    var errMsgL10n9 = 'Invalid Inbound Minimum Bandwidth.';
    var errMsgL10n10 = 'Kbps';
    var errMsgL10n11 = 'Please enter a valid maximum number of instances.';

    var errMsgObjL10n = document.getElementById ('hd.validProfName');
    if (errMsgObjL10n) errMsgL10n1 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.OBMaxBwRange');
    if (errMsgObjL10n) errMsgL10n2 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.OBMaxBw');
    if (errMsgObjL10n) errMsgL10n3 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.OBMinBwRange');
    if (errMsgObjL10n) errMsgL10n4 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.OBMinBw');
    if (errMsgObjL10n) errMsgL10n5= errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.IBMaxBwRange');
    if (errMsgObjL10n) errMsgL10n6= errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.IBMaxBw');
    if (errMsgObjL10n) errMsgL10n7= errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.IBMinBwRange');
    if (errMsgObjL10n) errMsgL10n8= errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.IBMinBw');
    if (errMsgObjL10n) errMsgL10n9= errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.kbps');
    if (errMsgObjL10n) errMsgL10n10= errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.maxInstance');
    if (errMsgObjL10n) errMsgL10n11= errMsgObjL10n.value;
    /* L10N Error Message Collection End */
        
    var txtFieldIdArr = new Array ();    
    txtFieldIdArr[0] = "txtProfileName,"+errMsgL10n1;

    if (txtFieldArrayCheck (txtFieldIdArr) == false)
         return false;

	var usrLimitObjMax = document.getElementById ('txtMaxBandwidth0');
	if (numericValueRangeCheck (usrLimitObjMax, 1, errMsgL10n2, 100, 100000, true, errMsgL10n3, errMsgL10n10) == false)
		return false;

	var usrLimitObjMin = document.getElementById ('txtMinBandwidth0');
	if (numericValueRangeCheck (usrLimitObjMin, 1, errMsgL10n4 + " " + usrLimitObjMax.value + errMsgL10n10,
		0, parseInt (usrLimitObjMax.value, 10), true, errMsgL10n5, errMsgL10n10) == false)
		return false;
		
	usrLimitObjMax = document.getElementById ('txtMaxBandwidth1');
	if (numericValueRangeCheck (usrLimitObjMax, 1, errMsgL10n6, 100, 100000, true, errMsgL10n7, errMsgL10n10) == false)
		return false;

	usrLimitObjMin = document.getElementById ('txtMinBandwidth1');
	if (numericValueRangeCheck (usrLimitObjMin, 1, errMsgL10n8 + " " + usrLimitObjMax.value + errMsgL10n10,
		0, parseInt (usrLimitObjMax.value, 10), true, errMsgL10n9, errMsgL10n10) == false)
		return false;

	var maxInstObj = document.getElementById ('txtMaxInst');
	if (!maxInstObj.disabled && (maxInstObj.value == "" || isNaN (maxInstObj.value)))
		{
		alert (errMsgL10n11);
		maxInstObj.focus ();
		return false;
		}
		
	return true;
	}
	
function checkType ()
	{
	var selectedValue = comboSelectedValueGet ('selType');
	if (selectedValue == "1")
		fieldStateChangeWr ('','','txtMaxInst','');
	else
		fieldStateChangeWr ('txtMaxInst','','','');
	}

function bwDirectionCheck()
	{
	var selObj = document.getElementById ('selDirection');
	if (!selObj) return;
	var direction = parseInt (selObj.value, 10);
	if (direction == 1)
		fieldStateChangeWr ('txtMinBandwidth1 txtMaxBandwidth1', '', 'txtMinBandwidth0 txtMaxBandwidth0', '');
	else if (direction == 2)
		fieldStateChangeWr ('txtMinBandwidth0 txtMaxBandwidth0', '', 'txtMinBandwidth1 txtMaxBandwidth1', '');
	else
		fieldStateChangeWr ('', '', 'txtMinBandwidth0 txtMaxBandwidth0 txtMinBandwidth1 txtMaxBandwidth1', '');
	}
	
function bwPrifleInit()
	{
	bwDirectionCheck();
	checkType ();
	}
/* bandwidth_profile.htm */

